Subject: Re: [chimerax-users] Re: Glasses-free Samsung Odyssey 3D Monitor support
From: Tom Goddard <[email-masked]>
To: Greg Pintilie <[email-masked]>
Cc: Andre Clemens Michaelis <[email-masked]>, [email-masked]
Date: Sun, 22 Jun 2025 13:21:09 -0400

Hi Andre,

We discussed the Samsung Odyssey 3D on the ChimeraX mailing list last month

https://mail.cgl.ucsf.edu/mailman/archives/list/[email-masked]/thread/VWOX4EMKIGKFXYYENTYCVFJY4MM6KJ26/#62U574TFJVGLE44JJTSRVIUT3HMHESDN

The display manual does not mention OpenXR, only side-by-side stereo.

https://downloadcenter.samsung.com/content/UM/202506/20250612182444761/BN81-27045C-00_WUG_G60SD_G61SD_G81SF_G90XF_NA_LATIN_ENG_250226.1.pdf

Chimerax does not support fullscreen side-by-side stereo so it won't work with this display.  We might in the future add support.

Tom

On Jun 22, 2025, at 11:14 AM, Greg Pintilie via ChimeraX-users <[email-masked]> wrote:

Hi Andre,

I can pass some information since I’ve been looking into this with Tom Goddard a lot recently, not with the Samsung monitor, but with two others that have the same technology:

Tom has the ChimeraX latest builds working with the "Sony 3D Spatial Reality Display” monitors. You just have to connect the monitor, run ChimeraX and then type “xr on” in the command line.

We also tried the "Acer 3D SpatialLabs ViewPro 27”, but Tom found bugs in their openXR implementation, so the latest ChimeraX is not working with this yet, but likely there will be a fix very soon. Tom has a modified version of ChimeraX that works with this monitor, but it is not released yet.

You can google the above names, I would put links but they seem to vary by region. I am a huge fan of both of the above two monitors. The 3D effect is great, very useful for modeling and viewing complex models and 3D maps. Also super easy to run, compared to previous technologies. There are still some quirks, like that you have to interact with the 3D view on your main monitor, not on the 3D monitor directly.

There are no tests yet of ChimeraX with the Samsung monitor, that I know of. It looks really nice, but I didn’t find any info on whether it supports openXR or not, which is what ChimerX is using. We had some discussion on this list recently about whether it’s worth using the SBS mode, which it apparently supports, but that mode has even more quirks, so would not encourage.

Greg P.

On Jun 21, 2025, at 11:54 AM, Michaelis, Andre Clemens via ChimeraX-users <[email-masked]> wrote:

Dear ChimeraX Team,

I was wondering if you had experience with the glasses-free Samsung Odyssey 3D monitor or know if ChimeraX is supporting it? Maybe you got already feedback from some users, as this seems like the perfect solution to work with!

Odyssey G9 27" 3D
4K Gaming Monitor with Speakers

samsung.com

Thank you

Best, André

——————————————————

André Michaelis

Max-Planck Institute of Biochemistry

Dept. Proteomics and Signal Transduction

Am Klopferspitz 18

D-82152 Martinsried/Munich

Phone: +49 89 8578 2213

email: [email-masked]

www.biochem.mpg.de/mann/

_______________________________________________
ChimeraX-users mailing list -- [email-masked]
To unsubscribe send an email to [email-masked]
Archives: https://mail.cgl.ucsf.edu/mailman/archives/list/[email-masked]/

_______________________________________________
ChimeraX-users mailing list -- [email-masked]
To unsubscribe send an email to [email-masked]
Archives: https://mail.cgl.ucsf.edu/mailman/archives/list/[email-masked]/